com.dlsc.flexgantt.swing.action.eventline

## Class AbstractEventlineAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction
    - - com.dlsc.flexgantt.swing.action.eventline.AbstractEventlineAction

- All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action
  Direct Known Subclasses:
    DeleteEventlineObjectAction

      public abstract class AbstractEventlineAction
      extends AbstractFlexGanttAction

  An abstract action implementation that is specialized on performing operations on an eventline. The class provides methods for setting and getting a reference to the dateline.
  Since:
    1.0
  Version:
    $Revision: 1.5 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Eventline` | `eventline` Stores a reference to the eventline.

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEventlineAction(Eventline eventline, String name)` Constructs a new dateline action.
    `AbstractEventlineAction(Eventline eventline, String name, Icon icon)` Constructs a new dateline action.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Eventline` | `getEventline()` Returns the eventline on which the action will be performed.
    `void` | `setEventline(Eventline dateline)` Sets a new eventline on which the action will be performed.

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction

      `getToolTipText, setToolTipText`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.event.ActionListener

      `actionPerformed`

- - ### Field Detail

    - #### eventline

          protected Eventline eventline

      Stores a reference to the eventline.
      Since:
        1.0
      See Also:
        `setEventline(Eventline)`, `getEventline()`

  - ### Constructor Detail

    - #### AbstractEventlineAction

          public AbstractEventlineAction(Eventline eventline,
                                         String name,
                                         Icon icon)

      Constructs a new dateline action.
      Parameters:
        `eventline` - the dateline on which to perform the action
        `name` - the name of the action that will be displayed on buttons and / or menu items
        `icon` - a graphical representation of the action
      Since:
        1.0

    - #### AbstractEventlineAction

          public AbstractEventlineAction(Eventline eventline,
                                         String name)

      Constructs a new dateline action.
      Parameters:
        `eventline` - the eventline on which to perform the action
        `name` - the name of the action that will be displayed on buttons and / or menu items
      Since:
        1.0

  - ### Method Detail

    - #### getEventline

          public Eventline getEventline()

      Returns the eventline on which the action will be performed.
      Returns:
        the dateline that is the target of the action
      Since:
        1.0

    - #### setEventline

          public void setEventline(Eventline dateline)

      Sets a new eventline on which the action will be performed.
      Parameters:
        `dateline` - the new target dateline of the action
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.